> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/jian-tie-ban/clipboard.gettext.md).

# Clipboard.getText

> 函数式 API `getClipboardText`也可以用来使用相同功能。

### 功能说明

获取保存在剪贴板中的文本。如果剪贴板中没有文本，则返回空字符串。

如果没有读取剪贴板的权限 `GetClipboardTextPermissionError`会发生。 `Clipboard.getText.getPermission()`来确认权限状态， `Clipboard.getText.openPermissionDialog()`并可再次请求权限。

### 类型

```ts
Clipboard.getText(): Promise<string>;
```

**参数**

无

**响应**

返回保存在剪贴板中的文本。如果没有文本，则为空字符串。

### 错误

错误会以类的形式抛出 — `error instanceof GetClipboardTextPermissionError`通过它识别。该类可在 `@apps-in-toss/web-framework`中导入。

| 错误类                               | 说明                                                               |
| --------------------------------- | ---------------------------------------------------------------- |
| `GetClipboardTextPermissionError` | 当读取剪贴板的权限被拒绝时。 `Clipboard.getText.openPermissionDialog()`可以重新请求。 |

### 示例代码

#### JavaScript

```js
import {
  Clipboard,
  GetClipboardTextPermissionError,
} from "@apps-in-toss/web-framework";

try {
  const text = await Clipboard.getText();
  console.log(text);
} catch (error) {
  if (error instanceof GetClipboardTextPermissionError) {
    console.warn("没有读取剪贴板的权限。");
    return;
  }
  console.error(error);
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/jian-tie-ban/clipboard.gettext.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
